[Overview][Constants][Types][Classes][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONString.Create

Create a new instance of string JSON data

## Declaration

Source position: fpjson.pp line 225

`public constructor TJSONString.Create(`
`const AValue: TJSONStringType`
`);`

## Arguments

`AValue` |  | Initial string value.

## Description

Create instantiates a new string JSON data and initializes the value with AValue. Currently the implementation uses an ansi string to hold the data. This means that to correctly hold unicode data, a UTF-8 encoding must be used.

## See also

TJSONIntegerNumber.Create |  | Create a new instance of 32-bit integer JSON data
TJSONFloatNumber.Create |  | Create a new floating-point value
TJSONInt64Number.Create |  | Create a new instance of 64-bit integer JSON data
TJSONBoolean.Create |  | Create a new instance of boolean JSON data
TJSONNull.Create
TJSONArray.Create |  | Create a new instance of JSON array data.
TJSONObject.Create |  | Create a new instance of JSON object data.

Documentation generated on: Feb 26 2014